<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Opener</title>
		<style>
			body {
				font-family: Arial, sans-serif;
				font-size: 16px;
				margin: 2em;
			}
			.grey {
				color: #BDBDBD;
			}
			.green {
				color: #43A047;
			}
		</style>
		<script>
			window.onload = function() {

                if (window.opener) {
                    document.getElementById("opener").innerText = window.opener;
                    document.getElementById("opener").className = "green";
                } else {
                    document.getElementById("opener").innerText = "Null";
                }

                if (window.name) {
                    document.getElementById("name").innerText = window.name;
                    document.getElementById("name").className = "green";
                } else {
                    document.getElementById("name").innerText = "Empty String";
                }

			}
		</script>
	</head>
	<body>
		<h2>HTTP</h2>
		&emsp;Referer: <?= $_SERVER["HTTP_REFERER"] ? '<span class="green">' . $_SERVER["HTTP_REFERER"] . '</span>' : '<span class="grey">None</span>' ?>
		<h2>JavaScript</h2>
		&emsp;window.opener: <span id="opener" class="grey">Enable JavaScript</span>
		<br><br>
		&emsp;window.name: <span id="name" class="grey">Enable JavaScript</span>
	</body>
</html>